Bug 503748 - Intermittent X crashes with radeon driver [NEEDINFO]
Intermittent X crashes with radeon driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 10:03 EDT by moabi2000
Modified: 2010-06-28 08:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:47:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (moabi2000)


Attachments (Terms of Use)
Xorg log (42.83 KB, text/plain)
2009-06-02 10:03 EDT, moabi2000
no flags Details

  None (edit)
Description moabi2000 2009-06-02 10:03:30 EDT
Created attachment 346256 [details]
Xorg log

Description of problem:

I get X crashes regularly, but not reproducibly. It tends to happen most often when scrolling a large document (with okular, evince or OO.o) or when clicking on a contact in skype. It doesn't happen everytime though. This is the backtrace (which is the same every time). It is similar but not identical to bug 487534. :


*** glibc detected *** /usr/bin/Xorg: double free or corruption (!prev): 0x0a415238 ***
 ======= Backtrace: =========
 /lib/libc.so.6[0xb5b231]
 /usr/bin/Xorg(Xfree+0x21)[0x8130e71]
/usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCSReleaseIndirect+0x4a)[0x1f9bca]
 /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCPReleaseIndirect+0x1d8)[0x1fdc58]
 /usr/lib/xorg/modules/drivers//radeon_drv.so[0x20e004]
/usr/bin/Xorg[0x8173cd3]
/usr/bin/Xorg[0x813dd2e]
/usr/bin/Xorg(BlockHandler+0x58)[0x808a7b8]
/usr/bin/Xorg(WaitForSomething+0x10c)[0x812aa7c]
/usr/bin/Xorg(Dispatch+0x80)[0x8086210]
/usr/bin/Xorg(main+0x395)[0x806baf5]
/lib/libc.so.6(__libc_start_main+0xe6)[0xb01a66]
/usr/bin/Xorg[0x806afa1]
 ======= Memory map: ========
 00110000-00145000 r-xp 00000000 08:06 763532     /usr/lib/libXfont.so.1.4.1
 00145000-00146000 rw-p 00035000 08:06 763532     /usr/lib/libXfont.so.1.4.1
 00146000-00147000 rw-p 00146000 00:00 0
 00147000-00165000 r-xp 00000000 08:06 1695763    /usr/lib/xorg/modules/extensions/libextmod.so
                                                                                                                                                            00165000-00167000 rw-p 0001d000 08:06 1695763    
/usr/lib/xorg/modules/extensions/libextmod.so
 00167000-0016b000 r-xp 00000000 08:06 1695760    /usr/lib/xorg/modules/extensions/libdbe.so
 0016b000-0016c000 rw-p 00003000 08:06 1695760    
/usr/lib/xorg/modules/extensions/libdbe.so
 0016c000-001cf000 r-xp 00000000 08:06 1695764    /usr/lib/xorg/modules/extensions/libglx.so
 001cf000-001d2000 rw-p 00062000 08:06 1695764    /usr/lib/xorg/modules/extensions/libglx.so
001d2000-001d8000 r-xp 00000000 08:06 1695765    /usr/lib/xorg/modules/extensions/librecord.so
                                                                              001d8000-001d9000 rw-p 00006000 08:06 1695765    /usr/lib/xorg/modules/extensions/librecord.so
 001d9000-001e2000 r-xp 
00000000 08:06
1695761    /usr/lib/xorg/modules/extensions/libdri.so
 001e2000-001e3000 rw-p 00008000 08:06 1695761    /usr/lib/xorg/modules/extensions/libdri.so
 001e3000-001e5000 r-xp 00000000 08:06 1695762    
/usr/lib/xorg/modules/extensions/libdri2.so
 001e5000-001e6000 rw-p 00001000 08:06 1695762    /usr/lib/xorg/modules/extensions/libdri2.so
 001e6000-00288000 r-xp 00000000 08:06 33632      
/usr/lib/xorg/modules/drivers/radeon_drv.so 
00288000-00290000 rw-p 000a2000 08:06 33632      /usr/lib/xorg/modules/drivers/radeon_drv.so
 00290000-00295000 r-xp 00000000 08:06 1687612    /usr/lib/xorg/modules/drivers/vesa_drv.so
 00295000-00296000 
rw-p 00005000 08:06 1687612    /usr/lib/xorg/modules/drivers/vesa_drv.so
 00296000-0029a000 r-xp 00000000 08:06 1425418    /usr/lib/xorg/modules/linux/libfbdevhw.so
 0029a000-0029b000 rw-p 00003000 08:06 1425418    
/usr/lib/xorg/modules/linux/libfbdevhw.so
 0029b000-002ab000 r-xp 00000000 08:06 256534     /usr/lib/xorg/modules/libexa.so
 002ab000-002ac000 rw-p 0000f000 08:06 256534     /usr/lib/xorg/modules/libexa.so 
 
002ac000-002af000 r-xp 00000000 08:06 924        /usr/lib/libdrm_radeon.so.1.0.0
 002af000-002b0000 rw-p 00002000 08:06 924        /usr/lib/libdrm_radeon.so.1.0.0
 002b0000-002b8000 r-xp 00000000 08:06 31036      
/usr/lib/xorg/modules/input/evdev_drv.so
 002b8000-002b9000 rw-p 00008000 08:06 31036      /usr/lib/xorg/modules/input/evdev_drv.so
 002b9000-002c5000 r-xp 00000000 08:06 376989     /usr/lib/xorg/modules/input/synaptics_drv.so
 
002c5000-002c6000 rw-p 0000c000 08:06 376989     /usr/lib/xorg/modules/input/synaptics_drv.so
 002c8000-00357000 r-xp 00000000 08:06 763484     /usr/lib/libfreetype.so.6.3.20
 00357000-0035b000 rw-p 0008e000 08:06 
763484
   /usr/lib/libfreetype.so.6.3.20
 0035b000-00380000 r-xp 00000000 08:06 123142     /lib/libexpat.so.1.5.2
 0 bfd20000-bfd35000 rw-p bffeb000 00:00 0          [stack]33000 rw-s 1006ec000 00:0f 1333      /dev/dri/card0b8033000-b8035000 rw-s 2f046000 00:0f 1333       /dev/dri/card0b8035000-b8036000 rw-p 
b8035000 00:00


Version-Release number of selected component (if applicable):

kernel 2.6.29.4-167.fc11.i586
xorg-x11-server-Xorg.i586            1.6.1.901-2.fc11   
xorg-x11-drv-ati.i586



How reproducible:
Not - intermitent, but regularly when scrolling large documents or clicking a contact in skype.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 moabi2000 2009-06-02 10:05:33 EDT
Whoops, that's:

xorg-x11-drv-ati.i586                6.12.2-14.fc11     

Thanks
M.
Comment 2 moabi2000 2009-06-02 15:02:40 EDT
Hi
Just to say I have found a document that when opened with OOWriter (3.1) always causes this crash on my machine. I can send by personal mail if it would help.

cheers
M.
Comment 3 Matěj Cepl 2009-06-04 09:40:54 EDT
(In reply to comment #2)
> Hi
> Just to say I have found a document that when opened with OOWriter (3.1) always
> causes this crash on my machine. I can send by personal mail if it would help.

Well, you can try it ... my email is mcepl at domain redhat.com.
Comment 4 Bug Zapper 2009-06-09 12:58:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Thomas Kisiel 2009-06-14 05:17:08 EDT
I am not sure if this is the same cause of my X crash, but I had frequent crash when I was writing a homework. It's getting pretty annoying... This always happens while scrolling a large PDF in Okular.

I can also reproduce it every time. After the crash my memory consumption is drastically higher than before.

Steps to reproduce:
1. Open a large PDF file (mine is 5 MiB)
2. Scroll trough it a few times (from end to beginning and back up again)
3. X will crash
4. After log in high memory consumption visible via htop

I am also using the radeon driver (my card is a X800).
Comment 6 Matěj Cepl 2009-11-05 13:30:27 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Matěj Cepl 2010-02-26 07:26:13 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 8 Bug Zapper 2010-04-27 10:37:30 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 08:47:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.